Skip to main content
GET
/
organizations
/
{organization_id}
/
preferences
Get Current Organization Preferences
curl --request GET \
  --url https://preview.intermezzo.ai/organizations/{organization_id}/preferences \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://preview.intermezzo.ai/organizations/{organization_id}/preferences"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://preview.intermezzo.ai/organizations/{organization_id}/preferences', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "isInsolvent": false,
  "insolvencyStartDate": "2023-12-25",
  "insolvencyEndDate": "2023-12-25",
  "insolvencyCompanyNumber": "<string>",
  "extraPaidLeaveDays": 123,
  "firstPayrollDate": "2023-12-25",
  "lastPayrollDate": "2023-12-25",
  "firstPayrollIntermezzo": "2023-12-25",
  "logoId": "<string>",
  "preferencesCountry": "DE",
  "insuranceCreditPreference": "<string>",
  "daysForSicknessCertificate": 4
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required

Response

Successful Response

id
integer
required
validFrom
string<date> | null
validTo
string<date> | null
isInsolvent
boolean
default:false
insolvencyStartDate
string<date> | null
insolvencyEndDate
string<date> | null
insolvencyCompanyNumber
string | null
insuranceSubsidyMethod
enum<string> | null
Available options:
remuneration,
assessment_ceiling
extraPaidLeaveDays
integer | null
firstPayrollDate
string<date> | null

First payroll (ever) run by the company

lastPayrollDate
string<date> | null

Last payroll run in other system before Intermezzo's first payroll

firstPayrollIntermezzo
string<date> | null

First date Intermezzo software is used for payroll

logoId
string | null
preferencesCountry
string
default:DE
Allowed value: "DE"
insuranceCreditPreference
string | null

Für die Möglichkeit der Überweisung, Verrechnung oder Gutschrift ist eine entsprechende Eingabemöglichkeit vorzusehen.

daysForSicknessCertificate
integer | null
default:4
additionalChildcareSickDaysReason
enum<integer> | null

Reason for the selection of the number of additional paid sick days for childcare.

Available options:
0,
1,
2,
3